POST api/mediwaveprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "6f44286b-39fd-4c78-b772-44ba7f6723df",
"program_id": "7326cad2-0ac1-4d65-9f05-aef189325ede",
"mediwave_program_step_type_id": "6cac9c57-8e94-40d4-a06f-6e9b52c504da",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>6f44286b-39fd-4c78-b772-44ba7f6723df</id> <mediwave_program_step_type_id>6cac9c57-8e94-40d4-a06f-6e9b52c504da</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>7326cad2-0ac1-4d65-9f05-aef189325ede</program_id> </mediwave_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"a78e53bc-e2ec-4358-a067-1cd5d74a06f6"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a78e53bc-e2ec-4358-a067-1cd5d74a06f6</guid>